Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class RandomStreamsParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.RandomStreamsParams

    public class RandomStreamsParams

extends Object

Defines parameters of the random streams used during an experiment based on simulation.

Field Summary
`protected Boolean` | `caching`
`protected String` | `streamClass`
`protected double[]` | `streamSeed`

Constructor Summary
`RandomStreamsParams()`

Method Summary
`String` | `getStreamClass()` Gets the value of the streamClass property.
`double[]` | `getStreamSeed()`
`double` | `getStreamSeed(int idx)`
`int` | `getStreamSeedLength()`
`boolean` | `isCaching()` Gets the value of the caching property.
`boolean` | `isSetCaching()`
`boolean` | `isSetStreamClass()`
`boolean` | `isSetStreamSeed()`
`void` | `setCaching(boolean value)` Sets the value of the caching property.
`void` | `setStreamClass(String value)` Sets the value of the streamClass property.
`void` | `setStreamSeed(double[] values)`
`double` | `setStreamSeed(int idx, double value)`
`void` | `unsetCaching()`
`void` | `unsetStreamSeed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### streamSeed

    protected double[] streamSeed

### streamClass

    protected String streamClass

### caching

    protected Boolean caching

Constructor Detail

### RandomStreamsParams

    public RandomStreamsParams()

Method Detail

### getStreamSeed

    public double[] getStreamSeed()

  Returns:
    array of `Double`

### getStreamSeed

    public double getStreamSeed(int idx)

  Returns:
    one of `Double`

### getStreamSeedLength

    public int getStreamSeedLength()

### setStreamSeed

    public void setStreamSeed(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setStreamSeed

    public double setStreamSeed(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetStreamSeed

    public boolean isSetStreamSeed()

### unsetStreamSeed

    public void unsetStreamSeed()

### getStreamClass

    public String getStreamClass()

  Gets the value of the streamClass property.

  Returns:
    possible object is `String`

### setStreamClass

    public void setStreamClass(String value)

  Sets the value of the streamClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetStreamClass

    public boolean isSetStreamClass()

### isCaching

    public boolean isCaching()

  Gets the value of the caching property.

  Returns:
    possible object is `Boolean`

### setCaching

    public void setCaching(boolean value)

  Sets the value of the caching property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetCaching

    public boolean isSetCaching()

### unsetCaching

    public void unsetCaching()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.